Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

php_ldap.dll needed - Cisco 7960 accessing ldap

Discussion in '3CX Phone System - General' started by Arnaud, Apr 4, 2008.

Thread Status:
Not open for further replies.
  1. Arnaud

    Joined:
    Nov 23, 2007
    Messages:
    43
    Likes Received:
    0
    Hi,
    I'm trying to make a setup to allow my Cisco 7960 phones to get the directory automatically from an LDAP server (process described here http://www.voip-info.org/wiki/view/CISCO+LDAP+XML+Directory).
    I'm trying to run the ldap server on the same PC as 3CX, because this is the only server I have running 24x7.
    The ldap server itself (OpenDS) runs fine, I can access the address book using outlook from my laptop.

    The php script to be used by the directory button on the IP-phone does however require php_ldap.dll, something I'm strungling getting to function. It didn't come with the 3CX PHP version.
    From php.net I've downloaded the complete php zip file (version 5.2.5.5), which includes the required files php_ldap.dll, libeay32.dll and ssleay32.dll. Loading them causes problem though, because the version mismatch with php version coming with 3CX (5.1.4.4). Is there a way to get those newer version of the dll files to work with the older PHP version ? Or would someone here be able to send me the mentioned files in 5.1.4.4 versions ?

    I don't want to upgrade the complete PHP installation itself, because that could break my 3CX setup, and could also lead to a lot more work each time a 3CX upgrade is available (I realize the piece I'm doing now would need to be done each time already).

    Thanks,
    Arnaud
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. Arnaud

    Joined:
    Nov 23, 2007
    Messages:
    43
    Likes Received:
    0
    I found the 5.1.4.4 version of php_ldap on http://museum.php.net/php5/. With this version ldap is starting without errors, and php can connect to the ldap server.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.